Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextExtPackage
Class URLStringHelper

    java.lang.Object
      org.omg.CosNaming.NamingContextExtPackage.URLStringHelper

    public abstract class URLStringHelper

extends Object

URLString is the URL address (corbaloc: or corbaname:) represented as a String.

Constructor Summary
`URLStringHelper()`

Method Summary
`static String` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, String that)`
`static String` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLStringHelper

    public URLStringHelper()

Method Detail

### insert

    public static void insert(Any a,
                              String that)

### extract

    public static String extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static String read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.